public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arsen Arsenović" <arsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile-gi/
Date: Wed, 18 Sep 2024 13:12:24 +0000 (UTC)	[thread overview]
Message-ID: <1726664802.587e5c2371cca3feadd1f7018b42b995ca0da26a.arsen@gentoo> (raw)

commit:     587e5c2371cca3feadd1f7018b42b995ca0da26a
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Wed Aug 28 09:15:20 2024 +0000
Commit:     Arsen Arsenović <arsen <AT> gentoo <DOT> org>
CommitDate: Wed Sep 18 13:06:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=587e5c23

dev-scheme/guile-gi: update live to use new guile mechanism

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Signed-off-by: Arsen Arsenović <arsen <AT> gentoo.org>

 dev-scheme/guile-gi/guile-gi-9999.ebuild | 40 ++++++++++++++++++--------------
 1 file changed, 22 insertions(+), 18 deletions(-)

diff --git a/dev-scheme/guile-gi/guile-gi-9999.ebuild b/dev-scheme/guile-gi/guile-gi-9999.ebuild
index 75b8c4278d3a..1d232ddf9d51 100644
--- a/dev-scheme/guile-gi/guile-gi-9999.ebuild
+++ b/dev-scheme/guile-gi/guile-gi-9999.ebuild
@@ -1,9 +1,10 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-inherit virtualx autotools
+GUILE_COMPAT=( 2-2 3-0 )
+inherit virtualx autotools guile
 
 DESCRIPTION="Bindings for GObject Introspection and libgirepository for Guile"
 HOMEPAGE="https://spk121.github.io/guile-gi/"
@@ -19,42 +20,45 @@ fi
 LICENSE="GPL-3"
 SLOT="0"
 
+REQUIRED_USED="${GUILE_REQUIRED_USE}"
+
 DEPEND="
-	>=dev-scheme/guile-2.0.9:=
+	${GUILE_DEPS}
 	dev-libs/gobject-introspection
 	x11-libs/gtk+:3[introspection]
 "
 RDEPEND="${DEPEND}"
 BDEPEND="sys-apps/texinfo"
 
-# guile generates ELF files without use of C or machine code
-# It's a portage's false positive. bug #677600
-QA_PREBUILT='*[.]go'
+PATCHES=(
+	"${FILESDIR}"/guile-gi-0.3.2-function-cast.patch
+)
 
 src_prepare() {
-	default
-
-	# http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
-	find "${S}" -name "*.scm" -exec touch {} + || die
+	guile_src_prepare
 
 	eautoreconf
 }
 
 src_configure() {
-	econf --disable-static --enable-introspection=yes
+	guile_foreach_impl econf --enable-introspection=yes
+}
+
+src_compile() {
+	my_compile() {
+		mkdir test || die
+		default
+	}
+	guile_foreach_impl my_compile
 }
 
 src_test() {
-	virtx default
+	guile_foreach_impl virtx default
 }
 
 src_install() {
-	default
+	guile_src_install
 
-	mv "${D}"/usr/share/doc/${PN} "${D}"/usr/share/doc/${PF} || die
+	mv "${ED}"/usr/share/doc/${PN} "${ED}"/usr/share/doc/${PF} || die
 	find "${ED}" -type f -name '*.la' -delete || die
-
-	# Workaround llvm-strip problem of mangling guile ELF debug
-	# sections. Bug https://bugs.gentoo.org/905898
-	dostrip -x /usr/$(get_libdir)/guile
 }


             reply	other threads:[~2024-09-18 13:12 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-18 13:12 Arsen Arsenović [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-30 13:52 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile-gi/ Sam James
2023-10-01 15:37 Maciej Barć
2022-05-17 21:09 Maciej Barć
2022-05-17 13:18 Maciej Barć
2021-12-30 21:47 Maciej Barć
2021-12-30 21:47 Maciej Barć
2021-12-03 22:55 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1726664802.587e5c2371cca3feadd1f7018b42b995ca0da26a.arsen@gentoo \
    --to=arsen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox